Metacat - Bug #7192

MN.update method doesn't check the checksum
05/22/2017 08:49 AM - Jing Tao

Status: Resolved Start date: 05/22/2017
Priority: Normal Due date:

Assignee: dJing Tao % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: 2.8.3 Spent time: 0.00 hour
Bugzilla-ld:

Description

The MN.update doesn't check the checksum - it doesn't compute the checksum of the coming object and compare the computed

value with the one in the system metadata. We need to check as the create method does.

History

#1 - 05/22/2017 08:50 AM - Jing Tao

- Status changed from New to In Progress

The the update and create method share the same mechanism to check the checksum.

#2 - 05/23/2017 03:34 PM - Jing Tao

- Status changed from In Progress to Resolved
